import { Address, UniversalAddress } from "@wormhole-foundation/connect-sdk";
import { AnyCosmwasmAddress } from "./types";
export declare class CosmwasmAddress implements Address {
    static readonly contractAddressByteSize = 32;
    static readonly accountAddressByteSize = 20;
    readonly platform: "Cosmwasm";
    private readonly address;
    private readonly domain?;
    private readonly denom?;
    private readonly denomType?;
    constructor(address: AnyCosmwasmAddress);
    unwrap(): string;
    toString(): string;
    toNative(): this;
    toUint8Array(): Uint8Array;
    toUniversalAddress(): UniversalAddress;
    static isValidAddress(address: string): boolean;
    private static validAddressLength;
    static instanceof(address: any): address is CosmwasmAddress;
    equals(other: CosmwasmAddress | UniversalAddress): boolean;
}
declare global {
    namespace WormholeNamespace {
        interface PlatformToNativeAddressMapping {
            Cosmwasm: CosmwasmAddress;
        }
    }
}
//# sourceMappingURL=address.d.ts.map