import { Chain, ChainContext, GatewayTransferMsg, GatewayTransferWithPayloadMsg, Network, TokenId } from "@wormhole-foundation/connect-sdk";
import { CosmwasmAddress } from "./address";
import { CosmwasmChains } from "./types";
export declare class Gateway<N extends Network> extends ChainContext<N, typeof Gateway.chain> {
    static chain: "Wormchain";
    static gatewayAddress: (network: Network) => string;
    static tokenBridgeAddress: (network: Network) => string;
    static coreAddress: (network: Network) => string;
    getWrappedAsset(token: TokenId): Promise<CosmwasmAddress>;
    static getGatewaySourceChannel<N extends Network, C extends CosmwasmChains>(network: N, chain: C): string;
    static deriveIbcDenom<N extends Network, C extends CosmwasmChains>(network: N, chain: C, denom: string): CosmwasmAddress;
    static makeTransferMsg(chain: Chain, recipient: CosmwasmAddress, fee?: bigint, payload?: string, nonce?: number): GatewayTransferWithPayloadMsg | GatewayTransferMsg;
}
//# sourceMappingURL=gateway.d.ts.map